/***************************************************************************
                          apollon.h -  description
                             -------------------
begin		: Dec 05 2003
copyright	: (C) 2002 by Bastiaan Naber, (C) 2002 by Robert Wittams
email		: bastiaan@ricardis.tudelft.nl
description	: 

 ***************************************************************************/

 /***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef APOLLON_H
#define APOLLON_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <sys/types.h>


#include <kmainwindow.h>
#include <kjanuswidget.h>
#include <kaction.h>
#include <kstdaction.h>

#include "apollonsystemtray.h"
#include "giftconnection.h"
#include "preferences.h"
#include "sigdialog.h"

class ApollonInfoTab;
class ApollonSearchTab;
class ApollonTransferTab;
class ApollonSharedViewTab;
class ApollonPlayerTab;
//class SystemTray;

class Apollon : public KMainWindow
{
  Q_OBJECT
public:
	Apollon( QWidget* parent=0, const char *name=0 );
	~Apollon();
	void readConfig();

	bool startDocked();

	ApollonPreferencesDialog* settingsDialog;
	SigDialog* mySigDialog;

public slots:
	void slotConnected();
	void slotSetStatus( QString text );
	void saveConfig();
	void sharesSync();
	void sharesHide();
	void sharesShow();

	void giftShareReply( QString );

	void sltShowSearches(QString);

	void sltGiFTPID(pid_t);
	void sltKillgiFT(bool);

	void quit();
private slots:

  void sltSetShutApollon(bool shut) { stop = shut;}
 void sltStartDocked(bool dock) { mStartDocked = dock;}
 void sltShowPopUps(bool);
 void sltStartPage(int);

private:
	giFTConnection* gcn;
	KJanusWidget* tabw;

	ApollonInfoTab* info;
	ApollonSearchTab* search;
	ApollonTransferTab* trans;
	ApollonPlayerTab* player;
	ApollonSharedViewTab* sharedView;

	QVBox *infobox, *searchbox, *transbox, *sharedbox, *playerbox;

	void initStatusBar();
	void initActions();
	void initCentre();

	void setupSystemTray();
	ApollonSystemTray *systemTray;
	KToggleAction *toggleSystemTrayAction;
	bool restore, stop, pkill, mStartDocked;
	pid_t giFT_pid;

protected:
	bool queryClose();

signals:

};

#endif
