/***************************************************************************
                          apollonqueryview.h  -  description
                             -------------------
begin		: Dec 05 2003
copyright	: (C) 2002 by Bastiaan Naber, (C) 2002 by Robert Wittams
email		: bastiaan@ricardis.tudelft.nl
description	: 

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef APOLLONQUERYVIEW_H
#define APOLLONQUERYVIEW_H

#include <qvbox.h>
#include <qdict.h>

class QLabel;
class QString;
class KListView;
class QListViewItem;
class QPopupMenu;
class QStringList;
class QTabWidget;

class ApollonSearchViewItem;

class ApollonQueryView : public QVBox
{
  Q_OBJECT
public:
	ApollonQueryView( QTabWidget* parent, const int ID, const int& index, const QString& text );
	~ApollonQueryView();
	int getIndex() {
	  return _index;
	}
	QString getQuery() {
	  return query;
	}
private:
	QLabel* iconlabel;
	QLabel* label;
	QTabWidget *parent;
	QPopupMenu *menu, *sourcemenu, *browseusermenu;
	QString searchKey(QString key, QString searchstr);
	
	QDict<ApollonSearchViewItem> hashes2items;
	int _index;
	QString current, query; // The item currently right-clicked

protected:
	KListView* searchresults;
	int _ID;
	
public slots:
	void deleteThis();
	void queryPopup(QListViewItem* item, const QPoint & point, int col);
	void itemDoubleClicked(QListViewItem *);
	void addItem( QString );
	void browse();
	void browse(int);
	void sltDownload();
	
signals:
	void giftAddRequest( QString, QString, QString, QString, QString );
	void giftCancelSearchRequest( int );
	void giftBrowseRequest( QString );
};

#endif
