/***************************************************************************
                          inifile.h  -  description
                             -------------------
begin		: Dec 05 2003
copyright	: (C) 2002 by Bastiaan Naber, (C) 2002 by Robert Wittams
email		: bastiaan@ricardis.tudelft.nl
description	: This class takes a QString filename of an ini-file and
		  reads it in. The ini file should be in the format:
		  # This is a comment
		
		  [section1]
		  name1=argument1
		  name2=argument2
			   
		  [section2]
		  name1=argument1
		  name2=argument2
		   
		  Each section is put into a IniSection object and a 
		  pointer to the IniSection object is retrieved by 
		  getSection("section1")
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INIFILE_H
#define INIFILE_H

#include <qptrlist.h>

#include "inisection.h"

class IniFile 
{
public:
	IniFile( QString filename );
	IniSection* getSection( QString name );
	~IniFile ();

private:
	 QList<IniSection> sections;
};

#endif
